Bug 1206081 - Disabled Repositories Support
Summary: Disabled Repositories Support
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-26 09:48 UTC by Jaroslav Reznik
Modified: 2016-11-22 14:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== Support for Disabled Repositories == The Software tool and PackageKit now support searching for packages in disabled repositories. If a user searches for a package using one of these application, and the package is found in a repository which includes the line ''enabled_metadata=1'' in its definition, a dialog window will be displayed informing the user that the package has been found, but a disabled repository must be enabled before it can be installed. The same message can also inform the user about the reason for this behavior. This change allows Fedora remixes to ship pre-configured but disabled repositories for any reason (for example because said repositories contain non-free software). Fedora itself does not have any such repositories pre-configured; therefore this feature will not manifest itself on a Fedora 22 installation unless the user specifies the enabled_metadata=1 line in one or more repository definitions.
Clone Of:
Environment:
Last Closed: 2016-11-22 14:02:14 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-03-26 09:48:26 UTC
This is a tracking bug for Change: Disabled Repositories Support
For more details, see: https://fedoraproject.org//wiki/Changes/DisabledRepoSupport

The Software tool and PackageKit now support disabled repositories to help users locate software in additional repositories which are not meant to be enabled by default.

Comment 1 Petr Bokoc 2015-04-07 17:15:44 UTC
Hello Richard, we'd like to include this change in the Fedora 22 Beta Release Notes and you're listed as the change owner on the Fedora Wiki.

Please review the release note draft in the Doc Text field and let me know if this description is sufficient, or if there's anything you'd like to add or change.

Thanks!

Comment 2 Richard Hughes 2015-04-16 12:40:18 UTC
Petr, looks good to me, thanks!

Comment 3 Jan Kurik 2015-07-15 14:20:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 4 Jan Kurik 2016-07-26 04:27:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.


Note You need to log in before you can comment on or make changes to this bug.